/*****************************************************************************\
|* 
|* C++ visualisation app for the IP space we have mapped to cities.
|* 
|* Author						: SjG
|* First created				: Sat Nov  8 17:43:07 GMT 2003
|* Modification history			: <none>
|* Tabstops						: 4
|* Licence						: GPL, See COPYING for details
|*
|*    This program is free software; you can redistribute it and/or modify
|*    it under the terms of the GNU General Public License as published by
|*    the Free Software Foundation; either version 2 of the License, or
|*    (at your option) any later version.
|*
|*    This program is distributed in the hope that it will be useful,
|*    but WITHOUT ANY WARRANTY; without even the implied warranty of
|*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
|*    GNU General Public License for more details.
|*
|*    You should have received a copy of the GNU General Public License
|*    along with this program; if not, write to the Free Software
|*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
|*
|*
\*****************************************************************************/

#ifndef __cube__fetcher__Header__
#define __cube__fetcher__Header__

#include <list> // Daniel K. O.
#include "cube.h"

#include "SDL_net.h"

namespace CubeFetcher
{
        void fetch(std::list<Cube>& cubes, char *url);
};

#endif // ! __cube__fetcher__Header__
